Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network79.4.32.0/20
Usable hosts4,094
Subnet mask255.255.240.0
Addresses4,096
Network address
79.4.32.0
Broadcast address
79.4.47.255
First usable
79.4.32.1
Last usable
79.4.47.254
Usable hosts
4,094 (4,096 less the network and broadcast addresses)
Subnet mask
255.255.240.0
Wildcard mask
0.0.15.255 (Cisco ACLs, OSPF)
Prefix length
/20
Type
Public public
Old class
A (default /8)
As numbers
Hex 4F042000 · Integer 1325670400 to 1325674495
Reverse DNS zones
32.4.79.in-addr.arpa
33.4.79.in-addr.arpa
34.4.79.in-addr.arpa
35.4.79.in-addr.arpa
36.4.79.in-addr.arpa
37.4.79.in-addr.arpa
38.4.79.in-addr.arpa
39.4.79.in-addr.arpa
40.4.79.in-addr.arpa
41.4.79.in-addr.arpa
42.4.79.in-addr.arpa
43.4.79.in-addr.arpa
44.4.79.in-addr.arpa
45.4.79.in-addr.arpa
46.4.79.in-addr.arpa
47.4.79.in-addr.arpa
/20 is not on a 8-bit boundary, so it takes 16 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01001111.00000100.00100000.0000000079.4.32.0
Subnet mask11111111.11111111.11110000.00000000255.255.240.0
Network01001111.00000100.00100000.0000000079.4.32.0
Broadcast01001111.00000100.00101111.1111111179.4.47.255
Split into smaller subnets/27

79.4.32.0/20 makes 128 subnets of /27.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
179.4.32.0/2779.4.32.1 to 79.4.32.3079.4.32.3130
279.4.32.32/2779.4.32.33 to 79.4.32.6279.4.32.6330
379.4.32.64/2779.4.32.65 to 79.4.32.9479.4.32.9530
479.4.32.96/2779.4.32.97 to 79.4.32.12679.4.32.12730
579.4.32.128/2779.4.32.129 to 79.4.32.15879.4.32.15930
679.4.32.160/2779.4.32.161 to 79.4.32.19079.4.32.19130
779.4.32.192/2779.4.32.193 to 79.4.32.22279.4.32.22330
879.4.32.224/2779.4.32.225 to 79.4.32.25479.4.32.25530
979.4.33.0/2779.4.33.1 to 79.4.33.3079.4.33.3130
1079.4.33.32/2779.4.33.33 to 79.4.33.6279.4.33.6330
1179.4.33.64/2779.4.33.65 to 79.4.33.9479.4.33.9530
1279.4.33.96/2779.4.33.97 to 79.4.33.12679.4.33.12730
1379.4.33.128/2779.4.33.129 to 79.4.33.15879.4.33.15930
1479.4.33.160/2779.4.33.161 to 79.4.33.19079.4.33.19130
1579.4.33.192/2779.4.33.193 to 79.4.33.22279.4.33.22330
1679.4.33.224/2779.4.33.225 to 79.4.33.25479.4.33.25530
1779.4.34.0/2779.4.34.1 to 79.4.34.3079.4.34.3130
1879.4.34.32/2779.4.34.33 to 79.4.34.6279.4.34.6330
1979.4.34.64/2779.4.34.65 to 79.4.34.9479.4.34.9530
2079.4.34.96/2779.4.34.97 to 79.4.34.12679.4.34.12730
2179.4.34.128/2779.4.34.129 to 79.4.34.15879.4.34.15930
2279.4.34.160/2779.4.34.161 to 79.4.34.19079.4.34.19130
2379.4.34.192/2779.4.34.193 to 79.4.34.22279.4.34.22330
2479.4.34.224/2779.4.34.225 to 79.4.34.25479.4.34.25530
2579.4.35.0/2779.4.35.1 to 79.4.35.3079.4.35.3130
2679.4.35.32/2779.4.35.33 to 79.4.35.6279.4.35.6330
2779.4.35.64/2779.4.35.65 to 79.4.35.9479.4.35.9530
2879.4.35.96/2779.4.35.97 to 79.4.35.12679.4.35.12730
2979.4.35.128/2779.4.35.129 to 79.4.35.15879.4.35.15930
3079.4.35.160/2779.4.35.161 to 79.4.35.19079.4.35.19130
3179.4.35.192/2779.4.35.193 to 79.4.35.22279.4.35.22330
3279.4.35.224/2779.4.35.225 to 79.4.35.25479.4.35.25530
3379.4.36.0/2779.4.36.1 to 79.4.36.3079.4.36.3130
3479.4.36.32/2779.4.36.33 to 79.4.36.6279.4.36.6330
3579.4.36.64/2779.4.36.65 to 79.4.36.9479.4.36.9530
3679.4.36.96/2779.4.36.97 to 79.4.36.12679.4.36.12730
3779.4.36.128/2779.4.36.129 to 79.4.36.15879.4.36.15930
3879.4.36.160/2779.4.36.161 to 79.4.36.19079.4.36.19130
3979.4.36.192/2779.4.36.193 to 79.4.36.22279.4.36.22330
4079.4.36.224/2779.4.36.225 to 79.4.36.25479.4.36.25530
4179.4.37.0/2779.4.37.1 to 79.4.37.3079.4.37.3130
4279.4.37.32/2779.4.37.33 to 79.4.37.6279.4.37.6330
4379.4.37.64/2779.4.37.65 to 79.4.37.9479.4.37.9530
4479.4.37.96/2779.4.37.97 to 79.4.37.12679.4.37.12730
4579.4.37.128/2779.4.37.129 to 79.4.37.15879.4.37.15930
4679.4.37.160/2779.4.37.161 to 79.4.37.19079.4.37.19130
4779.4.37.192/2779.4.37.193 to 79.4.37.22279.4.37.22330
4879.4.37.224/2779.4.37.225 to 79.4.37.25479.4.37.25530
4979.4.38.0/2779.4.38.1 to 79.4.38.3079.4.38.3130
5079.4.38.32/2779.4.38.33 to 79.4.38.6279.4.38.6330
5179.4.38.64/2779.4.38.65 to 79.4.38.9479.4.38.9530
5279.4.38.96/2779.4.38.97 to 79.4.38.12679.4.38.12730
5379.4.38.128/2779.4.38.129 to 79.4.38.15879.4.38.15930
5479.4.38.160/2779.4.38.161 to 79.4.38.19079.4.38.19130
5579.4.38.192/2779.4.38.193 to 79.4.38.22279.4.38.22330
5679.4.38.224/2779.4.38.225 to 79.4.38.25479.4.38.25530
5779.4.39.0/2779.4.39.1 to 79.4.39.3079.4.39.3130
5879.4.39.32/2779.4.39.33 to 79.4.39.6279.4.39.6330
5979.4.39.64/2779.4.39.65 to 79.4.39.9479.4.39.9530
6079.4.39.96/2779.4.39.97 to 79.4.39.12679.4.39.12730
6179.4.39.128/2779.4.39.129 to 79.4.39.15879.4.39.15930
6279.4.39.160/2779.4.39.161 to 79.4.39.19079.4.39.19130
6379.4.39.192/2779.4.39.193 to 79.4.39.22279.4.39.22330
6479.4.39.224/2779.4.39.225 to 79.4.39.25479.4.39.25530
6579.4.40.0/2779.4.40.1 to 79.4.40.3079.4.40.3130
6679.4.40.32/2779.4.40.33 to 79.4.40.6279.4.40.6330
6779.4.40.64/2779.4.40.65 to 79.4.40.9479.4.40.9530
6879.4.40.96/2779.4.40.97 to 79.4.40.12679.4.40.12730
6979.4.40.128/2779.4.40.129 to 79.4.40.15879.4.40.15930
7079.4.40.160/2779.4.40.161 to 79.4.40.19079.4.40.19130
7179.4.40.192/2779.4.40.193 to 79.4.40.22279.4.40.22330
7279.4.40.224/2779.4.40.225 to 79.4.40.25479.4.40.25530
7379.4.41.0/2779.4.41.1 to 79.4.41.3079.4.41.3130
7479.4.41.32/2779.4.41.33 to 79.4.41.6279.4.41.6330
7579.4.41.64/2779.4.41.65 to 79.4.41.9479.4.41.9530
7679.4.41.96/2779.4.41.97 to 79.4.41.12679.4.41.12730
7779.4.41.128/2779.4.41.129 to 79.4.41.15879.4.41.15930
7879.4.41.160/2779.4.41.161 to 79.4.41.19079.4.41.19130
7979.4.41.192/2779.4.41.193 to 79.4.41.22279.4.41.22330
8079.4.41.224/2779.4.41.225 to 79.4.41.25479.4.41.25530
8179.4.42.0/2779.4.42.1 to 79.4.42.3079.4.42.3130
8279.4.42.32/2779.4.42.33 to 79.4.42.6279.4.42.6330
8379.4.42.64/2779.4.42.65 to 79.4.42.9479.4.42.9530
8479.4.42.96/2779.4.42.97 to 79.4.42.12679.4.42.12730
8579.4.42.128/2779.4.42.129 to 79.4.42.15879.4.42.15930
8679.4.42.160/2779.4.42.161 to 79.4.42.19079.4.42.19130
8779.4.42.192/2779.4.42.193 to 79.4.42.22279.4.42.22330
8879.4.42.224/2779.4.42.225 to 79.4.42.25479.4.42.25530
8979.4.43.0/2779.4.43.1 to 79.4.43.3079.4.43.3130
9079.4.43.32/2779.4.43.33 to 79.4.43.6279.4.43.6330
9179.4.43.64/2779.4.43.65 to 79.4.43.9479.4.43.9530
9279.4.43.96/2779.4.43.97 to 79.4.43.12679.4.43.12730
9379.4.43.128/2779.4.43.129 to 79.4.43.15879.4.43.15930
9479.4.43.160/2779.4.43.161 to 79.4.43.19079.4.43.19130
9579.4.43.192/2779.4.43.193 to 79.4.43.22279.4.43.22330
9679.4.43.224/2779.4.43.225 to 79.4.43.25479.4.43.25530
9779.4.44.0/2779.4.44.1 to 79.4.44.3079.4.44.3130
9879.4.44.32/2779.4.44.33 to 79.4.44.6279.4.44.6330
9979.4.44.64/2779.4.44.65 to 79.4.44.9479.4.44.9530
10079.4.44.96/2779.4.44.97 to 79.4.44.12679.4.44.12730
10179.4.44.128/2779.4.44.129 to 79.4.44.15879.4.44.15930
10279.4.44.160/2779.4.44.161 to 79.4.44.19079.4.44.19130
10379.4.44.192/2779.4.44.193 to 79.4.44.22279.4.44.22330
10479.4.44.224/2779.4.44.225 to 79.4.44.25479.4.44.25530
10579.4.45.0/2779.4.45.1 to 79.4.45.3079.4.45.3130
10679.4.45.32/2779.4.45.33 to 79.4.45.6279.4.45.6330
10779.4.45.64/2779.4.45.65 to 79.4.45.9479.4.45.9530
10879.4.45.96/2779.4.45.97 to 79.4.45.12679.4.45.12730
10979.4.45.128/2779.4.45.129 to 79.4.45.15879.4.45.15930
11079.4.45.160/2779.4.45.161 to 79.4.45.19079.4.45.19130
11179.4.45.192/2779.4.45.193 to 79.4.45.22279.4.45.22330
11279.4.45.224/2779.4.45.225 to 79.4.45.25479.4.45.25530
11379.4.46.0/2779.4.46.1 to 79.4.46.3079.4.46.3130
11479.4.46.32/2779.4.46.33 to 79.4.46.6279.4.46.6330
11579.4.46.64/2779.4.46.65 to 79.4.46.9479.4.46.9530
11679.4.46.96/2779.4.46.97 to 79.4.46.12679.4.46.12730
11779.4.46.128/2779.4.46.129 to 79.4.46.15879.4.46.15930
11879.4.46.160/2779.4.46.161 to 79.4.46.19079.4.46.19130
11979.4.46.192/2779.4.46.193 to 79.4.46.22279.4.46.22330
12079.4.46.224/2779.4.46.225 to 79.4.46.25479.4.46.25530
12179.4.47.0/2779.4.47.1 to 79.4.47.3079.4.47.3130
12279.4.47.32/2779.4.47.33 to 79.4.47.6279.4.47.6330
12379.4.47.64/2779.4.47.65 to 79.4.47.9479.4.47.9530
12479.4.47.96/2779.4.47.97 to 79.4.47.12679.4.47.12730
12579.4.47.128/2779.4.47.129 to 79.4.47.15879.4.47.15930
12679.4.47.160/2779.4.47.161 to 79.4.47.19079.4.47.19130
12779.4.47.192/2779.4.47.193 to 79.4.47.22279.4.47.22330
12879.4.47.224/2779.4.47.225 to 79.4.47.25479.4.47.25530

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses